#ifndef FACEREC_BACKEND_H
#define FACEREC_BACKEND_H 1

#include "gdr.h"

void GetEyePos(int &x1,int &y1,int &x2,int &y2,char Name[]);
void TrainNetwork(char NamOfNetwork[],char Name[],int Range,char Type[],int Width,int Height,double ThreshHold,double LRate,int Factor,int Startx = 0,int Starty = 0);
void StoreOutput(Network & N,Layer & I,char OpName[]);
void ReadOutput(char Name[],double P[]);
double CalcError(double Ereye1,double Ereye2,double Eeb [],double Ereb1,double Ereb2);
void GetFeatureNetwork(Network & Eye1,Network & Eye2,Network &Eb1,Network &Eb2,Network B[],char Name[]);
void BTrain(char Folder[]);
void BRecog(char Person[]);

#endif